function [QRS_nove] = maxVokne(signal,QRS,prumRR)
% Funkce prování upřesnění vrcholu komplexu QRS.
% Vždy zvoli okno určité delky kolem vrcholu a vybere maximum.

fvz = 500;
okno = (prumRR*fvz)/5;
polovina = fix(okno/2);
znamenko = sum(signal(QRS)); % převládající hodnota vrcholů
QRS_nove = QRS;

for i = 1:numel(QRS)
    Q = QRS(i);
            if (numel(signal(1:Q))<polovina+1 || numel(signal(Q:end))<polovina+1)
                continue % pokud není signál dostatečně dlouhý neupravuje se
            end 

    pom = signal(Q-polovina:Q+polovina);
    if znamenko>=0 
        [~,I] = max(pom);
    elseif znamenko < 0
        [~,I] = min(pom);
    end
    QRS_nove(i) = I+numel(signal(1:Q-polovina));

end
end

